/*!
 * Copyright 2012 E.J.I.E., S.A.
 *
 * Licencia con arreglo a la EUPL, Versión 1.1 exclusivamente (la «Licencia»);
 * Solo podrá usarse esta obra si se respeta la Licencia.
 * Puede obtenerse una copia de la Licencia en
 *
 *      http://ec.europa.eu/idabc/eupl.html
 *
 * Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
 * el programa distribuido con arreglo a la Licencia se distribuye «TAL CUAL»,
 * SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
 * Véase la Licencia en el idioma concreto que rige los permisos y limitaciones
 * que establece la Licencia.
 */
 
var idiomaActual = "";

jQuery(document).ready(function(){

	// Evitar conflictos entre Bootstrap y jQueryUI
	$.fn.bootstrapBtn = $.fn.button.noConflict();

	// Idioma Actual
	idiomaActual = $.rup_utils.capitalizedLang();

	//logo
	$("#rup_dept_logo").attr("src", $.rup.APP_STATICS + "/images/dept_logo_" + $.rup.lang + ".gif");
		
	//rastro de migas
	$("#ab39aEuskPlanakWar_migas").rup_breadCrumb({
		breadCrumb: {},
		logOutUrl : $.rup.CTX_PATH + "logout"	
	});
	
	//idioma
	$("#ab39aEuskPlanakWar_language").rup_language({languages: $.rup.AVAILABLE_LANGS_ARRAY, modo: "default"});
	
	//menu
	$("#ab39aEuskPlanakWar_menu").rup_menu({
		display: ($.rup.LAYOUT === "vertical" ? 'vertical' : 'horizontal')
	});
	if ($.rup.LAYOUT === "mixto") {
		$("#ab39aEuskPlanakWar_menu_mixto").rup_menu({
			display: 'vertical'
		});
	}
	
	//NAVBAR Menu
	//$.fn.rup_navbar();
	if ($("#navbarResponsive") != null && $("#navbarResponsive").length>0){
		$("#navbarResponsive").rup_navbar({
			sticky:false
		});
	}
	
	//pie
	$(".footer [title]").rup_tooltip();
	
	//Valor vaciío por defecto de los combos
	$.rup.i18n.base.rup_combo.blankNotDefined = $.rup.i18n.app.rup_combo["blankNotDefined"];
});